/*
 This file is part of Subsonic.

 Subsonic is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Subsonic is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Subsonic.  If not, see <http://www.gnu.org/licenses/>.

 Copyright 2009 (C) Sindre Mehus
 */
package net.sourceforge.subsonic.androidapp.activity;

import android.app.Activity;
import android.os.Bundle;
import net.sourceforge.subsonic.androidapp.util.Constants;
import net.sourceforge.subsonic.androidapp.util.ErrorDialog;

import net.sourceforge.subsonic.u1m.androidapp.Analytics;
import com.google.android.apps.analytics.GoogleAnalyticsTracker;

public class ErrorActivity extends Activity {

    private static final String TAG = ErrorActivity.class.getSimpleName();
    private GoogleAnalyticsTracker tracker;

    /**
     * Called when the activity is first created.
     */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        this.tracker = GoogleAnalyticsTracker.getInstance();
        this.tracker.start(Analytics.ACCOUNT, this);
        this.tracker.trackPageView(TAG);
        super.onCreate(savedInstanceState);
        String errorMessage = getIntent().getStringExtra(Constants.INTENT_EXTRA_NAME_ERROR);
        new ErrorDialog(this, errorMessage, true);
    }

    @Override
    public void onDestroy() {
        this.tracker.dispatch();
        this.tracker.stop();
        super.onDestroy();
    }

}
